package eu.toldi.rss;

import java.util.List;
import java.util.ArrayList;

public class FeedList {

    private List<Feed> list= new ArrayList<Feed>();


    public FeedList() {
    }

    public FeedList(List<Feed> list) {
        this.list = list;
    }

    /**
     * Hírcsatorna hozzáadása a listához
     * @param f
     */
    public void add(Feed f) {
        list.add(f);
    }

    /**
     * A lista mérete,azaz a benne található hírcsatornák száma
     * @return a lista mérete
     */
    public int size() {
        return list.size();
    }

    /**
     * Lista egy elemének lekérése.
     * @param i A keresett hírcsatorna listán belül található helye
     * @return A keresett hírcsatorna
     */
    public Feed get(int i) {
        return list.get(i);
    }

    /**
     * Hírcsatorna eltávolítása a listából
     * @param i Az eltábolítandó hírcsatorna indexe
     * @return Az eltávolított hírcsatonra
     */
    public Feed remove(int i) {
        return list.remove(i);
    }

    /**
     * Egy megadott hírcsatorna törlése a listából
     * @param f az eltávolítandó hírcsatorna
     */
    public void remove(Feed f) {
        list.remove(f);
    }

    /**
     * Hírcsatorna hozzáadása egy megadott helyer
     * @param index a hely ahova a hírcsatorna kerüljön
     * @param f a hozzáadandó hírcsatorna
     */
    public void add(int index, Feed f) {
        list.add(index, f);
    }

    /**
     * Hírcsatornák listéjának lekérése
     * @return a hírcsatornák listéja
     */
    public List<Feed> getList(){
        return list;
    }

}
